Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.repastdemos.openmap
Class CircleAgent

    java.lang.Object
      uchicago.src.repastdemos.openmap.CircleAgent

All Implemented Interfaces:
  GisAgent, OpenMapAgent

    public class CircleAgent

extends java.lang.Object
implements OpenMapAgent

Author:
  Robert Najlis

Constructor Summary
`CircleAgent()`
`CircleAgent(float lat, float lon, float radius)`

Method Summary
`java.awt.Paint` | `getFillPaint()`
`int` | `getGisAgentIndex()`
`com.bbn.openmap.LatLonPoint` | `getLatLon()`
`int[]` | `getNeighbors()`
`com.bbn.openmap.omGraphics.OMGraphic` | `getOMGraphic()`
`java.lang.String[]` | `gisPropertyList()` This list is expected to consist of pairs of Strings.
`void` | `setGisAgentIndex(int index)`
`void` | `setLatLon(float lat, float lon)`
`void` | `setNeighbors(int[] neighbors)`
`void` | `setOMGraphic(com.bbn.openmap.omGraphics.OMGraphic omg)`
`void` | `step()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CircleAgent

    public CircleAgent()

### CircleAgent

    public CircleAgent(float lat,
                       float lon,
                       float radius)

Method Detail

### getLatLon

    public com.bbn.openmap.LatLonPoint getLatLon()

### setLatLon

    public void setLatLon(float lat,
                          float lon)

### gisPropertyList

    public java.lang.String[] gisPropertyList()

  Description copied from interface: `GisAgent`
  This list is expected to consist of pairs of Strings. the first is the name to be displayed, the second is the function to be called to get the value the gisPropertyList is used for displaying agent in OpenMap and for the writeAgentsNoShp function

  Specified by:
    `gisPropertyList` in interface `GisAgent`
  Returns:

### getFillPaint

    public java.awt.Paint getFillPaint()

  Specified by:
    `getFillPaint` in interface `OpenMapAgent`

### getOMGraphic

    public com.bbn.openmap.omGraphics.OMGraphic getOMGraphic()

  Specified by:
    `getOMGraphic` in interface `OpenMapAgent`

### step

    public void step()

### getGisAgentIndex

    public int getGisAgentIndex()

  Specified by:
    `getGisAgentIndex` in interface `GisAgent`

### setGisAgentIndex

    public void setGisAgentIndex(int index)

  Specified by:
    `setGisAgentIndex` in interface `GisAgent`

### setNeighbors

    public void setNeighbors(int[] neighbors)

  Specified by:
    `setNeighbors` in interface `GisAgent`

### getNeighbors

    public int[] getNeighbors()

  Specified by:
    `getNeighbors` in interface `GisAgent`

### setOMGraphic

    public void setOMGraphic(com.bbn.openmap.omGraphics.OMGraphic omg)

  Specified by:
    `setOMGraphic` in interface `OpenMapAgent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD